Bug 244798 - FEATURE: missing support for ssh/sftp protocols
FEATURE: missing support for ssh/sftp protocols
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-urlgrabber (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2007-06-19 04:52 EDT by Alexander Todorov
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-18 09:22:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2007-06-19 04:52:49 EDT
Description of problem:
urlgrabber is missing support for ssh or sftp protocols.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. urlgrabber.urlopen('ssh://user@host:/path/to/file')
Actual results:
Exception and traceback occurs.

Expected results:
A valid file handle to the remote file.

Additional info:
This feature affects using yum with ssh based repos.
On the other hand on Debian/Ubuntu a simple apt-get with ssh://user@repo works fine.
Comment 1 Jeremy Katz 2007-10-18 09:14:58 EDT
Alexander -- we're not going to do this as a RHEL update feature and I'm not
even sure that we'd want to do it within urlgrabber.  If you think that it's
really important, feel free to post to the yum list and see if you can get some
people interested in working on it upstream.
Comment 2 RHEL Product and Program Management 2007-10-18 09:22:54 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.